function main() {

    // Создание 2d объекта полотна, задание переменных равных высоте и ширине полотна 
	var canvas = document.getElementById("tryCanvas");
    var ctx = tryCanvas.getContext("2d");
    var width = canvas.width;
    var height = canvas.height;

    // Задание координат первой точки отрисовки, изначальной скорости и радиуса капелек на полотне
    var rx = width - 25, ry = 25;
    var v = 0.25; // cкорость по умолчанию
    var r = 3; // размер капелек (радиус)

    // Связываение значений в слайдерах и номерных окошках (заданы в HTML файле)
    number_input_dP.oninput = function() {
        slider_input_dP.value = number_input_dP.value;
        calc();
    };
    slider_input_dP.oninput = function() {
        number_input_dP.value = slider_input_dP.value;
        calc();
    };
    number_input_K.oninput = function() {
        slider_input_K.value = number_input_K.value;
        calc();
    };
    slider_input_K.oninput = function() {
        number_input_K.value = slider_input_K.value;
        calc();
    };
    number_input_mu.oninput = function() {
        slider_input_mu.value = number_input_mu.value;
        calc();
    };
    slider_input_mu.oninput = function() {
        number_input_mu.value = slider_input_mu.value;
        calc();
    };

    radio_sample_1.onchange = function() {
        number_input_dP.value = 50;
        slider_input_dP.value = 50;
        number_input_K.value = 2500;
        slider_input_K.value = 2500;
        number_input_mu.value = 0.18; 
        slider_input_mu.value = 0.18;
        calc();
    };

    radio_sample_2.onchange = function() {
        number_input_dP.value = 150;
        slider_input_dP.value = 150;
        number_input_K.value = 80;
        slider_input_K.value = 80;
        number_input_mu.value = 0.19; 
        slider_input_mu.value = 0.19;
        calc();
    };

    radio_sample_3.onchange = function() {
        number_input_dP.value = 200;
        slider_input_dP.value = 200;
        number_input_K.value = 5;
        slider_input_K.value = 5;
        number_input_mu.value = 0.09; 
        slider_input_mu.value = 0.09;
        calc();
    };

    // Задание параметров 
    var L = 100;         // длина образца породы в см 
    var mu = 1;          // вязкость жидкости в мПа*c, 1 для воды при Т=20 по Цельсию - можно еще задать ей зависимость от температуры

    function calc() {
        mu = number_input_mu.value;
        result_v.innerHTML = (number_input_dP.value * (number_input_K.value/1000) /(L*mu)).toFixed(2); 
        v = number_input_dP.value * (number_input_K.value/1000)/(L*mu);
    }



    //Создание капелек 
    var ball = document.createElement('canvas');
    var ball_ctx = canvas.getContext('2d'); 

    for (var i = 0; i < 20; i++) {
        for (var j = 0; j < 5; j++){
    ball_ctx.beginPath();
    ball_ctx.arc(rx - 50 * i, ry + 50 * j, r, 0, 2 * Math.PI);
    ball_ctx.fill();
        }
    }

    function step() {                           	
        tick();
        draw();
    }

    function tick() {
        if (rx - 475 > width) rx = 475;        // условие по которому капельки создаются заново в левой стороне холста, для непрерывности анимации
    	rx = rx + v;
    }

    // Рисование капелек
	function draw() {                           	 
        //ball_ctx.clearRect(0, 0, width, height);
        ball_ctx.fillStyle = '#E6E6E6';
        ball_ctx.fillRect(0, 0, width, height);     // очистить экран
        for (var i = 0; i < 20; i++) {
            for (var j = 0; j < 5; j++){
        ball_ctx.beginPath();
        ball_ctx.arc(rx - 50 * i, ry +  50 * j, r, 0, 2 * Math.PI);
        ball_ctx.fillStyle="#000099";
        ball_ctx.fill();
            }
        }
        // рисование горизонтальных линий тока
        ctx.lineWidth="2";
        ctx.strokeStyle="#000099";
        ctx.beginPath();
        for (var i = 0; i < 5; i++) {
            ctx.moveTo(0, 25 + 50 * i);
            ctx.lineTo(500, 25 + 50 * i);
        }
        ctx.stroke();

    }

    setInterval(step, 1000 / 60);               // функция step будет запускаться 60 раз в секунду (60 раз / 1000 мс)
}